diff -ru evince-3.4.0/debian/changelog evince-3.6.1/debian/changelog
--- evince-3.4.0/debian/changelog	2012-08-30 01:28:06.000000000 +0100
+++ evince-3.6.1/debian/changelog	2012-10-17 16:28:02.781727119 +0100
@@ -1,3 +1,12 @@
+evince (3.6.1-0+g36+1) experimental; urgency=low
+
+  * Local build
+  * New upstream release
+    - update packaging from Ubuntu, but omit libgrip, apport, apparmor support
+    - depend on GLib 2.34 to avoid the pseudo-epoch in wheezy
+
+ -- Simon McVittie <smcv@debian.org>  Wed, 17 Oct 2012 16:18:19 +0100
+
 evince (3.4.0-3) unstable; urgency=low
 
   [ Josselin Mouette ]
diff -ru evince-3.4.0/debian/control evince-3.6.1/debian/control
--- evince-3.4.0/debian/control	2012-08-30 01:32:50.000000000 +0100
+++ evince-3.6.1/debian/control	2012-10-17 16:28:07.473747801 +0100
@@ -7,27 +7,27 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Frederic Peters <fpeters@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.90),
                debhelper (>= 8),
                dpkg-dev (>= 1.16.1),
                dh-autoreconf,
                intltool (>= 0.35.0),
                gnome-pkg-tools (>= 0.10),
-               gnome-doc-utils (>= 0.3.2),
+               yelp-tools,
                gtk-doc-tools (>= 1.0),
                libx11-dev,
                libcairo2-dev (>= 1.10.0),
                libgtk-3-dev (>= 3.0.2),
                libgail-3-dev (>= 3.0.2),
-               libglib2.0-dev (>= 2.25.1),
+               libglib2.0-dev (>= 2.34),
                libgnome-keyring-dev (>= 2.22.0),
                gnome-icon-theme (>= 2.17.1),
                libxml2-dev (>= 2.5.0),
                libsm-dev (>= 2:1.0.0),
                zlib1g-dev,
                libnautilus-extension-dev (>= 2.91.4),
-               libpoppler-glib-dev (>= 0.18.0),
+               libpoppler-glib-dev (>= 0.20.4~),
                libspectre-dev (>= 0.2.0),
                libtiff4-dev,
                libdjvulibre-dev (>= 3.5.17),
@@ -35,9 +35,10 @@
                libt1-dev,
                libgxps-dev (>= 0.2.1),
                autotools-dev,
-               gobject-introspection (>= 0.9.12-4~),
-               libgirepository1.0-dev (>= 0.10.7-1~),
-               gsettings-desktop-schemas-dev
+               gobject-introspection (>= 1.0),
+               libgirepository1.0-dev (>= 1.0),
+               gsettings-desktop-schemas-dev,
+               gnome-common
 Standards-Version: 3.9.3
 Homepage: http://www.gnome.org/projects/evince/
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/evince
@@ -164,7 +165,7 @@
          gir1.2-evince-3.0 (= ${binary:Version}),
          ${misc:Depends},
          libgtk-3-dev (>= 3.0.2),
-         libglib2.0-dev (>= 2.25.1)
+         libglib2.0-dev (>= 2.33.2)
 Description: Document (PostScript, PDF) rendering library - development files
  This package contains evince-related libraries for rendering and displaying
  Evince documents like PostScript (PS), Encapsulated PostScript (EPS), DjVu,
diff -ru evince-3.4.0/debian/control.in evince-3.6.1/debian/control.in
--- evince-3.4.0/debian/control.in	2012-08-30 01:28:27.000000000 +0100
+++ evince-3.6.1/debian/control.in	2012-10-17 16:27:41.781634541 +0100
@@ -9,20 +9,20 @@
                dh-autoreconf,
                intltool (>= 0.35.0),
                gnome-pkg-tools (>= 0.10),
-               gnome-doc-utils (>= 0.3.2),
+               yelp-tools,
                gtk-doc-tools (>= 1.0),
                libx11-dev,
                libcairo2-dev (>= 1.10.0),
                libgtk-3-dev (>= 3.0.2),
                libgail-3-dev (>= 3.0.2),
-               libglib2.0-dev (>= 2.25.1),
+               libglib2.0-dev (>= 2.34),
                libgnome-keyring-dev (>= 2.22.0),
                gnome-icon-theme (>= 2.17.1),
                libxml2-dev (>= 2.5.0),
                libsm-dev (>= 2:1.0.0),
                zlib1g-dev,
                libnautilus-extension-dev (>= 2.91.4),
-               libpoppler-glib-dev (>= 0.18.0),
+               libpoppler-glib-dev (>= 0.20.4~),
                libspectre-dev (>= 0.2.0),
                libtiff4-dev,
                libdjvulibre-dev (>= 3.5.17),
@@ -30,9 +30,10 @@
                libt1-dev,
                libgxps-dev (>= 0.2.1),
                autotools-dev,
-               gobject-introspection (>= 0.9.12-4~),
-               libgirepository1.0-dev (>= 0.10.7-1~),
-               gsettings-desktop-schemas-dev
+               gobject-introspection (>= 1.0),
+               libgirepository1.0-dev (>= 1.0),
+               gsettings-desktop-schemas-dev,
+               gnome-common
 Standards-Version: 3.9.3
 Homepage: http://www.gnome.org/projects/evince/
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/evince
@@ -159,7 +160,7 @@
          gir1.2-evince-3.0 (= ${binary:Version}),
          ${misc:Depends},
          libgtk-3-dev (>= 3.0.2),
-         libglib2.0-dev (>= 2.25.1)
+         libglib2.0-dev (>= 2.33.2)
 Description: Document (PostScript, PDF) rendering library - development files
  This package contains evince-related libraries for rendering and displaying
  Evince documents like PostScript (PS), Encapsulated PostScript (EPS), DjVu,
diff -ru evince-3.4.0/debian/evince-common.install evince-3.6.1/debian/evince-common.install
--- evince-3.4.0/debian/evince-common.install	2012-03-08 15:33:44.000000000 +0000
+++ evince-3.6.1/debian/evince-common.install	2012-09-25 10:49:25.000000000 +0100
@@ -1,6 +1,6 @@
 debian/evince.xpm /usr/share/pixmaps/
 usr/share/dbus-1
-usr/share/gnome
+usr/share/help
 usr/share/evince
 usr/share/icons
 usr/share/man
diff -ru evince-3.4.0/debian/libevdocument3-4.symbols evince-3.6.1/debian/libevdocument3-4.symbols
--- evince-3.4.0/debian/libevdocument3-4.symbols	2012-04-19 14:08:12.000000000 +0100
+++ evince-3.6.1/debian/libevdocument3-4.symbols	2012-09-25 10:49:25.000000000 +0100
@@ -11,6 +11,7 @@
  ev_annotation_get_name@Base 3.0.2
  ev_annotation_get_page@Base 3.0.2
  ev_annotation_get_page_index@Base 3.0.2
+ ev_annotation_get_rgba@Base 3.5.3
  ev_annotation_get_type@Base 3.0.2
  ev_annotation_markup_get_label@Base 3.0.2
  ev_annotation_markup_get_opacity@Base 3.0.2
@@ -28,6 +29,7 @@
  ev_annotation_set_modified@Base 3.0.2
  ev_annotation_set_modified_from_time@Base 3.0.2
  ev_annotation_set_name@Base 3.0.2
+ ev_annotation_set_rgba@Base 3.5.3
  ev_annotation_text_get_icon@Base 3.0.2
  ev_annotation_text_get_is_open@Base 3.0.2
  ev_annotation_text_get_type@Base 3.0.2
@@ -72,10 +74,14 @@
  ev_document_error_quark@Base 3.0.2
  ev_document_factory_add_filters@Base 3.0.2
  ev_document_factory_get_document@Base 3.0.2
+ ev_document_factory_get_document_for_gfile@Base 3.5.2
+ ev_document_factory_get_document_for_stream@Base 3.5.2
  ev_document_fc_mutex_lock@Base 3.0.2
  ev_document_fc_mutex_trylock@Base 3.0.2
  ev_document_fc_mutex_unlock@Base 3.0.2
  ev_document_find_find_text@Base 3.0.2
+ ev_document_find_find_text_with_options@Base 3.5.3
+ ev_document_find_get_supported_options@Base 3.5.3
  ev_document_find_get_type@Base 3.0.2
  ev_document_find_page_by_label@Base 3.0.2
  ev_document_fonts_fill_model@Base 3.0.2
@@ -145,6 +151,9 @@
  ev_document_links_get_type@Base 3.0.2
  ev_document_links_has_document_links@Base 3.0.2
  ev_document_load@Base 3.0.2
+ ev_document_load_flags_get_type@Base 3.5.2
+ ev_document_load_gfile@Base 3.5.2
+ ev_document_load_stream@Base 3.5.2
  ev_document_misc_format_date@Base 3.0.2
  ev_document_misc_get_loading_thumbnail@Base 3.0.2
  ev_document_misc_get_page_border_size@Base 3.0.2
@@ -178,6 +187,7 @@
  ev_document_ui_hints_get_type@Base 3.0.2
  (optional)ev_fc_mutex@Base 3.3.90
  ev_file_compress@Base 3.0.2
+ ev_file_copy_metadata@Base 3.5.2
  ev_file_exporter_begin@Base 3.0.2
  ev_file_exporter_begin_page@Base 3.0.2
  ev_file_exporter_capabilities_get_type@Base 3.0.2
@@ -190,6 +200,7 @@
  ev_file_get_mime_type@Base 3.0.2
  ev_file_is_temp@Base 3.0.2
  ev_file_uncompress@Base 3.0.2
+ ev_find_options_get_type@Base 3.5.3
  ev_form_field_button_get_type@Base 3.0.2
  ev_form_field_button_new@Base 3.0.2
  ev_form_field_button_type_get_type@Base 3.0.2
@@ -267,11 +278,6 @@
  ev_mkdtemp@Base 3.0.2
  ev_mkstemp@Base 3.0.2
  ev_mkstemp_file@Base 3.0.2
- ev_module_get_object_type@Base 3.0.2
- ev_module_get_path@Base 3.0.2
- ev_module_get_type@Base 3.0.2
- ev_module_new@Base 3.0.2
- ev_module_new_object@Base 3.0.2
  ev_page_get_type@Base 3.0.2
  ev_page_new@Base 3.0.2
  ev_rect_cmp@Base 3.0.2
diff -ru evince-3.4.0/debian/libevview3-3.symbols evince-3.6.1/debian/libevview3-3.symbols
--- evince-3.4.0/debian/libevview3-3.symbols	2012-04-19 14:08:12.000000000 +0100
+++ evince-3.6.1/debian/libevview3-3.symbols	2012-09-25 10:49:25.000000000 +0100
@@ -47,11 +47,13 @@
  ev_job_failed@Base 3.0.2
  ev_job_failed_from_error@Base 3.0.2
  ev_job_find_get_n_results@Base 3.0.2
+ ev_job_find_get_options@Base 3.5.3
  ev_job_find_get_progress@Base 3.0.2
  ev_job_find_get_results@Base 3.0.2
  ev_job_find_get_type@Base 3.0.2
  ev_job_find_has_results@Base 3.0.2
  ev_job_find_new@Base 3.0.2
+ ev_job_find_set_options@Base 3.5.3
  ev_job_fonts_get_type@Base 3.0.2
  ev_job_fonts_new@Base 3.0.2
  ev_job_get_run_mode@Base 3.0.2
@@ -60,12 +62,23 @@
  ev_job_is_finished@Base 3.0.2
  ev_job_layers_get_type@Base 3.0.2
  ev_job_layers_new@Base 3.0.2
+ ev_job_links_get_model@Base 3.5.92
  ev_job_links_get_type@Base 3.0.2
  ev_job_links_new@Base 3.0.2
  ev_job_load_get_type@Base 3.0.2
+ ev_job_load_gfile_get_type@Base 3.5.2
+ ev_job_load_gfile_new@Base 3.5.2
+ ev_job_load_gfile_set_gfile@Base 3.5.2
+ ev_job_load_gfile_set_load_flags@Base 3.5.2
+ ev_job_load_gfile_set_password@Base 3.5.2
  ev_job_load_new@Base 3.0.2
  ev_job_load_set_password@Base 3.0.2
  ev_job_load_set_uri@Base 3.0.2
+ ev_job_load_stream_get_type@Base 3.5.2
+ ev_job_load_stream_new@Base 3.5.2
+ ev_job_load_stream_set_load_flags@Base 3.5.2
+ ev_job_load_stream_set_password@Base 3.5.2
+ ev_job_load_stream_set_stream@Base 3.5.2
  ev_job_page_data_flags_get_type@Base 3.0.2
  ev_job_page_data_get_type@Base 3.0.2
  ev_job_page_data_new@Base 3.0.2
@@ -173,6 +186,7 @@
  ev_view_find_previous@Base 3.0.2
  ev_view_find_search_changed@Base 3.0.2
  ev_view_find_set_highlight_search@Base 3.0.2
+ ev_view_find_started@Base 3.5.92
  ev_view_focus_annotation@Base 3.0.2
  ev_view_get_has_selection@Base 3.0.2
  ev_view_get_page_extents@Base 3.0.2
diff -ru evince-3.4.0/debian/patches/03_nodisplay.patch evince-3.6.1/debian/patches/03_nodisplay.patch
--- evince-3.4.0/debian/patches/03_nodisplay.patch	2012-03-08 15:33:45.000000000 +0000
+++ evince-3.6.1/debian/patches/03_nodisplay.patch	2012-09-25 10:49:25.000000000 +0100
@@ -1,8 +1,11 @@
-Index: evince-3.0.2/data/evince.desktop.in.in
+Description: Follow Fedora's example and show "Document Viewer" in
+ Unity & Gnome Shell search
+Bug: https://bugzilla.gnome.org/show_bug.cgi?id=634245
+Index: evince-3.2.0/data/evince.desktop.in.in
 ===================================================================
---- evince-3.0.2.orig/data/evince.desktop.in.in	2010-07-14 09:54:39.000000000 +0200
-+++ evince-3.0.2/data/evince.desktop.in.in	2011-09-19 18:12:19.306692497 +0200
-@@ -7,7 +7,6 @@ StartupNotify=true
+--- evince-3.2.0.orig/data/evince.desktop.in.in	2010-07-14 09:54:39.000000000 +0200
++++ evince-3.2.0/data/evince.desktop.in.in	2011-09-27 15:15:37.483486380 +0200
+@@ -7,7 +7,6 @@
  Terminal=false
  Type=Application
  Icon=evince
